/*****************************************************************************/
/* htmltree.h - 05/08/99 - By Christophe LOREK - CRYO-NETWORKS               */
/*                                                                           */
/* HTML tree management header                                               */
/*                                                                           */
/* last modified on 13/08/99 By Christophe LOREK                             */
/*****************************************************************************/

#ifndef HTMLTREE_H
#define HTMLTREE_H

#include "node.h"
#include "structs.h"
#include "html.h"
#include "htmltext.h"
#include "htmlbitmap.h"
#include "htmltable.h"
#include "htmlrow.h"
#include "htmlcell.h"

#include "../x/version.h"
#include "../x/scolplugin.h"

char			*ClickHtml(mmachine m,int htmlnode,int x, int y);

int				HeaderContent(mmachine,HTML *, TagStruct*);
int				HtmlContent(mmachine,HTML *, TagStruct*);
int				BodyContent(mmachine,HTML *, TagStruct *,int,int,int,int,char*,char*,int,int);
int				HeadingContent(mmachine,HTML *, TagStruct*,int,int,int,int,char*,char*,int,int,int);
int				BlockContent(mmachine,HTML *, TagStruct*,int,int,int,int,char*,char*,int,int);
int				TextContent(mmachine,HTML *,TagStruct *,int,int,int,int,char*,char*,int,int);
int				TableContent(mmachine,HTML *,TagStruct *,int ,int,int,int,int,int,int,int,int,int,int);
int				CellContent(mmachine,HTML *,TagStruct *,int ,int,int,int,int,int,int,int,int,int,int);

TagStruct	*FindTag(TagStruct *starttag,char *tagname);
char			*FindStringInTag(TagStruct *currenttag);
Param			*TagGetParam(TagStruct *currenttag,char *paramname);
char			*FindURL(TagStruct *currenttag,int *URLtype);
int				SearchURLs(TagStruct *starttag,HTML *currentHTML);
int				DisplayTags(TagStruct *currenttag);
int				DisplayTreeTags(TagStruct *currenttag);
int				DisplayTreeTags2(TagStruct *currenttag,int i);
char			*GetText(TagStruct *currenttag);
char			*GetText2(TagStruct *currenttag);

#endif